std::basic_const_iterator::operatorconstant-iterator(3)

NAME
std::basic_const_iterator::operatorconstant-iterator - std::basic_const_iterator::operatorconstant-iterator

Synopsis
   template< /*not-a-const-iterator*/ CI >
     requires /*constant-iterator*/<CI> && (1) (since C++23)
         std::convertible_to<Iter const&, CI>
   constexpr operator CI() const &;
   template< /*not-a-const-iterator*/ CI >
     requires /*constant-iterator*/<CI> && (2) (since C++23)
         std::convertible_to<Iter, CI>
   constexpr operator CI() &&;
   Returns the converted constant iterator to which an underlying iterator current can
   be explicitly or implicitly convertible.
   CI satisfies the exposition-only concept /*not-a-const-iterator*/ if and only if
   it's not a specialization of basic_const_iterator.

Return value
   1) current
   2) std::move(current)

Example
    This section is incomplete
    Reason: no example
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P2836R1 C++23 basic_const_iterator doesn't follow its conversion operator
                      underlying type's convertibility provided

Category:
     * Todo no example